Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.decision
Class DecisionMaker

    java.lang.Object
      com.sun.mdm.index.decision.DecisionMaker

Direct Known Subclasses:
  DefaultDecisionMaker

public abstract class DecisionMaker
extends java.lang.Object

Interface for logic that determines which records are potential duplicates and which record may be an assumed match.

Constructor Summary
`DecisionMaker()`

Method Summary
`abstract float` | `getDuplicateThreshold()` Return the potential duplicate threshold.
`MasterControllerCore` | `getMasterController()` Get the handle of the MC
`abstract float` | `getMatchThreshold()` Return the assumed match threshold.
`abstract DecisionMakerResult` | `process(java.sql.Connection con, java.util.ArrayList list, SystemObject so)` Given a list of ScoreElements, populate a DecisionMakerResult struct to indicate which records are potential duplicates and which record may be an assumed match.
`void` | `setMasterController(MasterControllerCore mc)` Allows a handle to the MC to be passed in
`abstract void` | `setParameter(java.lang.String parameterName, java.lang.Object value)` Parameters of the decision maker represented in the configuration XML file are set using this method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DecisionMaker

    public DecisionMaker()

Method Detail

### getDuplicateThreshold

    public abstract float getDuplicateThreshold()
                                         throws DecisionMakerException

  Return the potential duplicate threshold. This is a minimum comparison score cutoff such that the MasterController will not send any ScoreElements to the decision maker process function with a score lower than this.

  Returns:
    duplicate threshold
  Throws:
    `DecisionMakerException` - an error occurred

### getMasterController

    public final MasterControllerCore getMasterController()

  Get the handle of the MC

  Returns:
    master controller handle

### getMatchThreshold

    public abstract float getMatchThreshold()
                                     throws DecisionMakerException

  Return the assumed match threshold. This is a minimum comparison score cutoff such that the MasterController will consider any records as Assumed Matches.

  Returns:
    assumed match threshold
  Throws:
    `DecisionMakerException` - an error occured

### process

    public abstract DecisionMakerResult process(java.sql.Connection con,
                                                java.util.ArrayList list,
                                                SystemObject so)
                                         throws DecisionMakerException

  Given a list of ScoreElements, populate a DecisionMakerResult struct to indicate which records are potential duplicates and which record may be an assumed match.

  Parameters:
    `con` - database connection
    `list` - input list of ScoreElements
    `so` - system object being evaluated
  Returns:
    array of decision maker results
  Throws:
    `DecisionMakerException` - an error occurred

### setMasterController

    public final void setMasterController(MasterControllerCore mc)

  Allows a handle to the MC to be passed in

  Parameters:
    `mc` - master controller

### setParameter

    public abstract void setParameter(java.lang.String parameterName,
                                      java.lang.Object value)
                               throws DecisionMakerException

  Parameters of the decision maker represented in the configuration XML file are set using this method.

  Parameters:
    `parameterName` - parameter
    `value` - parameter value
  Throws:
    `DecisionMakerException` - An error occurred

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.